package model;

public class InstalacijaOperativnogSistema implements Usluga {

    private double cenaBezPDVa;
    private double pdv;
    private String opisAktivnosti;
    private String serviser;
    private String operativniSistem;

    public InstalacijaOperativnogSistema(double cenaBezPDVa, double pdv, String opisAktivnosti, String serviser, String operativniSistem) {
        this.cenaBezPDVa = cenaBezPDVa;
        this.pdv = pdv;
        this.opisAktivnosti = opisAktivnosti;
        this.serviser = serviser;
        this.operativniSistem = operativniSistem;
    }

    public double dajCenuBezPDVa() {
        return cenaBezPDVa;
    }

    public double dajPDV() {
        return pdv;
    }

    public String dajOpisAktivnosti() {
        return opisAktivnosti;
    }

    public String dajServisera() {
        return serviser;
    }

    public String dajOperativniSistem() {
        return operativniSistem;
    }

    @Override
    public String toString() {
        return "Instalacioja operativnog sistema: " + dajOperativniSistem() + ", " + dajOpisAktivnosti() + ", " + dajCenuBezPDVa() + ", " + dajPDV() + ", " + dajServisera();
    }

}
