/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package forme.model;

import java.util.List;
import javax.swing.table.AbstractTableModel;
import model.Komponenta;

/**
 *
 * @author student1
 */
public class KomponentaTableModel extends AbstractTableModel {

    private List<Komponenta> lk;
    private String[] kolone = new String[] {"Opis", "Dob./Serv.", "Cena"};

    public KomponentaTableModel(List<Komponenta> lk) {
        this.lk = lk;
    }

    public int getRowCount() {
        if (lk == null) {
            return 0;
        }
        return lk.size();
    }

    public int getColumnCount() {
        return 3;
    }

    public Object getValueAt(int rowIndex, int columnIndex) {
        Komponenta k = lk.get(rowIndex);
        switch (columnIndex) {
            case 0:
                return k.dajSpecifikaciju();
            case 1:
                return k.dajDobavljaca();
            case 2:
                return k.dajProdajnuCenu();
            default:
                return "n/a";
        }
    }

    @Override
    public String getColumnName(int column) {
        return kolone[column];
    }
}
