/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package kontroler;

import java.util.LinkedList;
import java.util.List;
import model.CiscenjeVirusa;
import model.InstalacijaOperativnogSistema;
import model.Komponenta;
import model.Memorija;
import model.Procesor;
import model.Usluga;

/**
 *
 * @author student1
 */
public class Kontroler {
    private static Kontroler instance;
    private List<Komponenta> lk;
    private List<Usluga> lu;
    
    private Kontroler() {
        lk = new LinkedList<Komponenta>();
        lk.add(new Procesor(7500, "Intel Kaby Lake", "Intel", 2.7));
        lk.add(new Memorija(4000, "Kingston 4GB DDR", "Kingston", 4));
        lu = new LinkedList<Usluga>();
        lu.add(new CiscenjeVirusa(1000, 200, "KAV + Backup", "Marko Markovic", "KAV"));
        lu.add(new InstalacijaOperativnogSistema(2000, 400, "Formatiranje + instalacija Win 10", "Ivana Ivanovic", "Windows 10"));
    }
    
    public static Kontroler getInstance() {
        if (instance == null) {
            instance = new Kontroler();
        }
        return instance;
    }
    
    public List<Komponenta> vratiKomponente() {
        return lk;
    }
    
    public List<Usluga> vratiUsluge() {
        return lu;
    }
    
}
